Subject: bug#608: closed (Re: bug#607: 23.0.60; grep -w & grep-highlight-matches)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2011 02:25:02 +0000

Your bug report

#607: 23.0.60; grep -w & grep-highlight-matches

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
607: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=607
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#607: 23.0.60; grep -w & grep-highlight-matches
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 22:24:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This report is being closed because it relates to what is now an old
pretest of Emacs 23.1, and the problem could not be reproduced.
If you still see the problem with the latest release, 23.3, please reply
with as much detail as you can and the report can be re-opened.

Chong Yidong wrote:

> I can't reproduce this.  Here's what I tried:
>
> emacs -q
> M-x grep RET
> DEL DEL w article ~/*
>    [minibuffer contains `grep -nH -w article ~/*']
> RET
> C-x `
> C-x `
> C-x `
>
> Each of these calls to next-error correctly send me to subsequent
> occurrences of the word "article" in files in my home directory.
>
> Could you provide a more detailed recipe to demonstrate the problem?

>From [email-masked] Fri Jul 25 07:21:18 2008
From: "G. W. Pigman III" <[email-masked]>
To: [email-masked]
Subject: 23.0.60; grep -w & grep-highlight-matches
Date: Fri, 25 Jul 2008 07:21:02 -0700

I forgot to mention a crucial bit.  Next-error works as expected if  
grep-highlight-matches is set to nil.